vos listpart               AFS Commands            vos listpart


NAME

   vos  listpart -- show  all AFS partitions on specified file

                       server machine.


   vos listpart  -server <machine name>  [-cell <cell name>]
   [-noauth]    [-localauth]  [-verbose]  [-help]

ACCEPTABLE ABBREVIATIONS/ALIASES

   vos listp  -s <machine name>  [-c <cell name>]  [-n]  [-l]
   [-v]  [-h]

DESCRIPTION

   Lists all of the valid AFS partitions on the indicated  file
   server machine, without consulting the VLDB.

ARGUMENTS

   -server         names  the  file server machine for which to
                   list the partitions.  Abbreviated  forms  of
                   machine  names  may  be allowed depending on
                   the naming service available at the time the
                   command  is  issued;  see  page  xii  in the
                   introductory  About  This  Manual   chapter.
                   -cell
                   specifies the  cell  in  which  to  run  the
                   command.    See section 8.3 in the Reference
                   Manual for more details.  -noauth
                   tells the Volume and Volume Location Servers
                   to assign  the  identity  anonymous  to  the
                   issuer.    See  section 8.3 in the Reference
                   Manual for more details.  -localauth
                   constructs  a server ticket using a key from
                   /usr/afs/etc/KeyFile.  See  section  8.3  in
                   the   Reference  Manual  for  more  details.
                   -verbose
                   tells the Volume and Volume Location Servers
                   to report on what they  are  doing  as  they
                   execute the command.  See section 8.3 in the
                   Reference Manual for more details.  -help
                   prints the online help for this command.  Do
                   not provide any  other  arguments  or  flags
                   with  this  one.    See  section  8.3 in the
                   Reference Manual for more details.

OUTPUT

   The output consists of a list of partition names of the form
   /vicepx, following the header:

   The partitions on the server are:

   The  last  line  of  the  output reports the total number of
   partitions.



EXAMPLE

   The following lists the partitions on fs1.transarc.com.

       % vos listpart fs1.transarc.com
       The partitions on the server are:
           /vicepa
           /vicepb
           /vicepc
           /vicepd
       Total -> 4

PRIVILEGE REQUIRED

   None.

MORE INFORMATION

   vos partinfo
